var tabla;

//funcion que se ejecuta al inicio
function init(){

   listar();
    //cargamos los items al select cliente
   $.post("controladores/ventaControlador.php?op=selectCliente", function(r){
   	$("#idcliente").html(r);
   	$('#idcliente').selectpicker('refresh');
   });

   $("#fecha_inicio").change(function(){
	var fechai = $("#fecha_inicio").val();
	var fechaf = $("#fecha_fin").val();
	var url='reportes/LibroDeVenta.php?fi='+fechai+'&ff='+fechaf;
	res='<label>Libro de venta</label><br><a target="_blank" href="'+url+'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'
	$("#libroventa").html(res);
	listar();
   });

   $("#fecha_fin").change(function(){
	var fechai = $("#fecha_inicio").val();
	var fechaf = $("#fecha_fin").val();
	var url='reportes/LibroDeVenta.php?fi='+fechai+'&ff='+fechaf;
	res='<label>Libro de venta</label><br><a target="_blank" href="'+url+'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'
	$("#libroventa").html(res);
	listar();
   });



   
   $("#mostrar").on("click",function(e){
    /* Evitamos el envío real del formulario */
        e.preventDefault(); 
        var fechai = $("#fecha_inicio").val();
        var fechaf = $("#fecha_fin").val();
        var url='reportes/LibroDeVenta.php?fi='+fechai+'&ff='+fechaf;
        res='<a target="_blank" href="'+url+'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'
        $("#libroventa").html(res);
        bootbox.alert("hola");
                
    });
}
//controladores/ventaControlador.php

//funcion listar
function listar(){
var  fecha_inicio = $("#fecha_inicio").val();
 var fecha_fin = $("#fecha_fin").val();
 var idcliente = $("#idcliente").val();
 
 /** Fisioterapia  */
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/consultasControlador.php?op=ventaslibrodeventaf',
			method: 'post',
			data: {
				fecha_inicio: 	fecha_inicio,
				fecha_fin	:	fecha_fin,
				idcliente	:	idcliente,
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();

	/* Normal 
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/consultasControlador.php?op=ventaslibrodeventa',
			method: 'post',
			data: {
				fecha_inicio: 	fecha_inicio,
				fecha_fin	:	fecha_fin,
				idcliente	:	idcliente,
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	
	*/


}


//<button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button>
//$("#idcliente").html(r);

init();  